PROGRAM_NAME='EIB_Table'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 04/25/2002 AT: 15:44:29               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 07/19/2006  AT: 18:39:11        *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION:                                         *)
(*  REVISION DATE: 01/21/2004                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*!!FILE REVISION:                                         *)
(*  REVISION DATE: 04/25/2002                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)
DEFINE_CONSTANT
min_init = 300       (* Zeit NICHT verkuerzen ! *)

DEFINE_VARIABLE
Counter


DEFINE_START
Counter=0
WAIT_UNTIL ([vdvEIB, 3001])	// Startverzgerung, Modul meldet bereit fr ADD
{
	Counter = 1
}

#INCLUDE 'EIB_Tools.axi'

DEFINE_PROGRAM

WAIT 1
{
	IF(Counter)
	{
		SWITCH(Counter)
		{
			CASE  1:	EIBAdd(vdvEIB,  1, eibSwitch, '1/0/1', "")							// Licht 1 setzen 
			CASE  2:	EIBAdd(vdvEIB,  2, eibSwitch, '1/0/2', "")  						// Licht 2 setzen 
			CASE  3:	EIBAdd(vdvEIB,  3, eibSwitch, '1/0/3', "")  						// Licht 3 setzen 
			CASE  4:	EIBAdd(vdvEIB,  4, eibSwitch, '1/0/4', "")  						// Licht 4 setzen 
			CASE  5:	EIBAdd(vdvEIB,  5, eibSwitch, '1/0/5', "")  						// Licht 5 setzen 
			CASE  6:	EIBAdd(vdvEIB,  6, eibSwitch, '1/0/6', "")  						// Licht 6 setzen  
			
			CASE  7:	EIBAdd(vdvEIB,  7, eibSwitch, '1/0/11', "eibPollstart")	// Licht,  Zustand 
			CASE  8:	EIBAdd(vdvEIB,  8, eibSwitch, '1/0/12', "eibPollstart")	// Licht 2 Zustand 
			CASE  9:	EIBAdd(vdvEIB,  9, eibSwitch, '1/0/13', "eibPollstart")	// Licht 3 Zustand 
			CASE 10:	EIBAdd(vdvEIB, 10, eibSwitch, '1/0/14', "eibPollstart")	// Licht 4 Zustand 
			CASE 11:	EIBAdd(vdvEIB, 11, eibSwitch, '1/0/15', "eibPollstart")	// Licht 5 Zustand 
			CASE 12:	EIBAdd(vdvEIB, 12, eibSwitch, '1/0/16', "eibPollstart")	// Licht 6 Zustand 
			
			CASE 13:	EIBAdd(vdvEIB, 13, eibSwitch, '1/0/21', "")  					// Lichtszenen,1+2 
			
			CASE 14:	EIBAdd(vdvEIB, 14, eibSwitch, '1/0/22', "")  					// zentral EIN / AUS 
			
			CASE 15:	EIBAdd(vdvEIB, 15, eibSwitch, '1/0/31', "")  					// Jalousie,  Auf/Ab 
			CASE 16:	EIBAdd(vdvEIB, 16, eibSwitch, '1/0/32', "")  					// Jalousie,  Lamellen 
			CASE 17:	EIBAdd(vdvEIB, 17, eibSwitch, '1/0/33', "")  					// Jalousie 2 Auf/Ab 
			CASE 18:	EIBAdd(vdvEIB, 18, eibSwitch, '1/0/34', "")  					// Jalousie 2 Lamellen 
			
			CASE 19:	EIBAdd(vdvEIB, 19, eibSwitch, '1/0/111', "")  					// Dimmer,  Ein/Aus 
			CASE 20:	EIBAdd(vdvEIB, 20, eibDim4,   '1/0/112', "")   				// Dimmer 1 relativ 
			CASE 21:	EIBAdd(vdvEIB, 21, eib1Byte,  '1/0/113', "")   				// Dimmer 1 absolut 
			CASE 22:	EIBAdd(vdvEIB, 22, eib1Byte,  '1/0/114', "eibPollstart")	// Dimmer 1 Wert lesen 
			CASE 23:	EIBWhenPoll(vdvEIB, 19, 22)															// Polltrigger
			CASE 24:	EIBWhenPoll(vdvEIB, 20, 22)															// Polltrigger
			CASE 25:	EIBWhenPoll(vdvEIB, 21, 22)															// Polltrigger
			CASE 26:	EIBWhenPoll(vdvEIB, 22, 19)															// Polltrigger
			
			CASE 27:	EIBAdd(vdvEIB, 23, eibSwitch, '1/0/121', "")  					// Dimmer 2 Ein/Aus 
			CASE 28:	EIBAdd(vdvEIB, 24, eibDim4,   '1/0/122', "")   				// Dimmer 2 relativ 
			CASE 29:	EIBAdd(vdvEIB, 25, eib1Byte,  '1/0/123', "")   				// Dimmer 2 absolut 
			CASE 30:	EIBAdd(vdvEIB, 26, eib1Byte,  '1/0/124', "eibPollstart")	// Dimmer 2 Wert lesen 
			CASE 31:	EIBWhenPoll(vdvEIB, 23, 26)
			CASE 32:	EIBWhenPoll(vdvEIB, 24, 26)
			CASE 33:	EIBWhenPoll(vdvEIB, 25, 26)
			CASE 34:	EIBWhenPoll(vdvEIB, 26, 23)
			
			CASE 35:	EIBAdd(vdvEIB, 27, eib2Byte,  '1/0/201', "eibEIS5, ',',eibPollstart")  // Analogwert 1 
			CASE 36:	EIBAdd(vdvEIB, 28, eib2Byte,  '1/0/202', "eibEIS5, ',',eibPollstart")  // Analogwert 2 
			CASE 37:	EIBAdd(vdvEIB, 29, eib1Byte,  '1/0/203', "")  													// Analogwert 3 
			CASE 38:	EIBAdd(vdvEIB, 30, eib1Byte,  '1/0/204', "")  													// Analogwert 4 
			CASE 39:	EIBAdd(vdvEIB, 31, eib3Byte,  '1/0/205', "eibTIME, ',',eibPollstart")  // Zeit
			CASE 40:	EIBAdd(vdvEIB, 32, eib3Byte,  '1/0/206', "eibDATE, ',',eibPollstart")  // Datum
			                       
			CASE 41:	EIBAdd(vdvEIB, 33, eibtext,  '2/0/206', "eibPollstart") 
			CASE 42:	EIBAdd(vdvEIB, 34, eibhextext,  '2/0/207', "eibPollstart") 
			                      
			CASE 43:	EIBWhenPoll(vdvEIB, 1, 2)																// Polltrigger
			CASE 44:	EIBWhenPoll(vdvEIB, 1, 3)																// Polltrigger
			CASE 45:	EIBWhenPoll(vdvEIB, 1, 4)																// Polltrigger
			CASE 46:	EIBWhenPoll(vdvEIB, 1, 5)																// Polltrigger
			     
			CASE 47:	EIBWhenPoll(vdvEIB, 14, 1)	// Zentral EIN / AUS
			CASE 48:	EIBWhenPoll(vdvEIB, 14, 2)
			CASE 49:	EIBWhenPoll(vdvEIB, 14, 3)
			CASE 50:	EIBWhenPoll(vdvEIB, 14, 4)
			CASE 51:	EIBWhenPoll(vdvEIB, 14, 5)
			CASE 52:	EIBWhenPoll(vdvEIB, 14, 6)	// Zentral EIN / AUS
			CASE 53:	EIBWhenPoll(vdvEIB, 14, 22)
			CASE 54:	EIBWhenPoll(vdvEIB, 14, 26)
          
			
			
			
			
			
			
			
			// Diese Adressen wollen wir gleich pollen, Das mu als letztes in der Reihe stehen
			// Das Modul bearbeitet diese erst, wenn die Verbindung steht....
			CASE 55:	EIBPoll(vdvEIB, 21)
			CASE 56:	EIBPoll(vdvEIB, 25)
			CASE 57:	EIBPoll(vdvEIB, 27)
			CASE 58:	EIBPoll(vdvEIB, 28)
			
			DEFAULT:  Counter = 0
		}	// Switch
		IF (Counter)
		{
			Counter ++
		}
  }	// IF (Counter)
}	// WAIT
